% The function "nd_parameters" calculates teh non-dimensional parameters
% from the original values. Here the beam is assumed to be circular with
% thickness t
%------------------------------------------------------------------------
function [nu,alpha_p,beta_p,fct0,I,m,P,r,mu_e,A]=nd_parameters(E,rho,L,D,t,M,J);

I=pi*(D^4-(D-t)^4)/64;%I=pi*D^3*t/16;
A=pi*(D^2-(D-t)^2)/4; %A=pi*D*t/2;
m=rho*A;
P=M*9.8074;

alpha_p=M/(m*L);
beta_p=J/(m*L^3);
nu=P*L^2/(E*I);
fct0=sqrt(E*I/ (m*L^4) );
r=sqrt(D*t/2);
mu_e=r/L;